curl --request POST \
--url https://b.anny.co/api/v1/views \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "views",
"attributes": {
"name": "Team Bookings",
"area": "bookings",
"owner_type": "users",
"filters": {
"upcomingOnly": true,
"status": []
}
}
}
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "views",
"attributes": {
"name": "<string>",
"area": "bookings",
"filters": {},
"columns": [
"<string>"
],
"config": {},
"owner_type": "users",
"owner_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"is_shared": true
},
"links": {
"self": "<string>"
},
"relationships": {
"organization": {
"data": {
"id": "<string>",
"type": "<string>"
},
"links": {
"self": "<string>"
}
},
"owner": {
"data": {
"id": "<string>",
"type": "<string>"
},
"links": {
"self": "<string>"
}
},
"last_edited_by": {
"data": {
"id": "<string>",
"type": "<string>"
},
"links": {
"self": "<string>"
}
}
}
}
}Personalization
Create a view
Create a private (owner_type=users) or shared (owner_type=organizations) View.
Notes:
owner_idis derived server-side from the current user or organization.- If
filtersorcolumnsare omitted, defaults for the selectedareaare applied. - The creator is granted entity-scoped
*permission for this View.
POST
/
api
/
v1
/
views
curl --request POST \
--url https://b.anny.co/api/v1/views \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "views",
"attributes": {
"name": "Team Bookings",
"area": "bookings",
"owner_type": "users",
"filters": {
"upcomingOnly": true,
"status": []
}
}
}
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "views",
"attributes": {
"name": "<string>",
"area": "bookings",
"filters": {},
"columns": [
"<string>"
],
"config": {},
"owner_type": "users",
"owner_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"is_shared": true
},
"links": {
"self": "<string>"
},
"relationships": {
"organization": {
"data": {
"id": "<string>",
"type": "<string>"
},
"links": {
"self": "<string>"
}
},
"owner": {
"data": {
"id": "<string>",
"type": "<string>"
},
"links": {
"self": "<string>"
}
},
"last_edited_by": {
"data": {
"id": "<string>",
"type": "<string>"
},
"links": {
"self": "<string>"
}
}
}
}
}Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Header
Bearer Token
Abfrageparameter
Organization ID
Body
application/vnd.api+json
Show child attributes
Show child attributes
Antwort
Created
Saved table/filter/display preset for an admin area.
Show child attributes
Show child attributes